Summary: Kernel-based automounter for Linux
Name: autofs
Version: 4.1.4
Release: 1tr
Group: Trustix Official
Source: http://www.kernel.org/pub/linux/daemons/autofs/v4/autofs-%{version}.tar.bz2
Source1: autofs.init
License: GPL
Buildroot: /var/tmp/%{name}-root

%description
Autofs is a kernel-based automounter for Linux.  It performs a job
similar to amd but relies on a small stub of kernel code instead of
pretending to be an NFS server.  The result is simpler code, better
reliability, and much faster operation in the common case (everything
already mounted.)

%prep
%setup -q
%build
./configure  --mandir=/usr/share/man
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make install INSTALLROOT=$RPM_BUILD_ROOT
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/%{_initdir}/autofs
mkdir $RPM_BUILD_ROOT/etc/sysconfig
install redhat/autofs.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/autofs

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
chkconfig --add autofs
if [ "$1" = 2 ]; then
        /sbin/restart_maybe autofs > /dev/null 2>&1
fi

%preun
if [ "$1" = 0 ]; then
	if [ -f /var/lock/subsys/autofs ]; then	
		%{_initdir}/autofs stop >&2
	fi
/sbin/chkconfig --del autofs
fi


%files
%defattr(-,root,root,0755)
%config(noreplace) /etc/auto.*
/etc/init.d/autofs
%config(noreplace) /etc/sysconfig/autofs
%{_libdir}/autofs/*
%{_mandir}/man5/auto*
%{_mandir}/man8/auto*
/usr/sbin/automount

%changelog
* Fri Aug 19 2005 Nived Gopalan <nived at comodo dot com> 4.1.4-1tr
- Initial build for TSL-3.0.  
